ポストエフェクト

package.json のフィールドについて

package.json

package.json についてはこちらをご覧ください。
ポストエフェクトのpackage.jsonでは以下の指定が必須です。

  • name --- パッケージID(英数字とハイフン、@username/packageId形式で指定可能),
  • version --- "1.10.2" のような3つのドット区切りの数字
  • author "Name (URL)"形式の文字列(Name <mail@address> (URL) のような記述も可能です)
  • engines
    • delir-core : 作成するプラグインが動作できるdelir-coreのバージョン。0.4.x のような指定が可能です。
  • delir
    • name: プラグインの表示名。日本語などが利用可能です
    • type: post-effect 固定。

engines.delir

動作対象となるdelir-coreのバージョンを指定します。
(Delirのバージョンではありません。)

    "engines": {
        "delir-core": "0.4.x" // => v0.4.* 対応ポストエフェクト
    }

delir

プラグインについての詳細情報を記述します。

  "delir": {
    "name": "プラグイン名",
    "type": "post-effect"
  }

results matching ""

    No results matching ""